Client master snapshot
curl --request GET \
--url https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"line2": "<string>",
"line3": "<string>"
},
"contact": {
"email": "<string>",
"email_relation": "<string>",
"mobile": "<string>",
"mobile_relation": "<string>"
},
"created_at": "<string>",
"demat": {
"mode": "<string>",
"client_id": "<string>",
"dp_id": "<string>"
},
"holding_type": "<string>",
"id": "<string>",
"primary_holder": {
"dob": "<string>",
"kyc_type": "<string>",
"name": "<string>",
"pan": "<string>",
"email": "<string>",
"gender": "<string>",
"mobile": "<string>",
"occupation": "<string>",
"relationship": "<string>"
},
"status": "<string>",
"tax_status": "<string>",
"updated_at": "<string>",
"auth_link": "<string>",
"bank_accounts": [
{
"account_no": "<string>",
"account_type": "<string>",
"ifsc": "<string>",
"is_default": true,
"id": "<string>",
"micr": "<string>",
"status": "<string>",
"status_remark": "<string>"
}
],
"client_authorization": {
"aof_exists": true,
"authorized": true,
"checked_at": "<string>",
"email_sent": true,
"fatca_exists": true,
"status": "<string>",
"aof_remark": "<string>",
"authorized_at": "<string>",
"fatca_remark": "<string>",
"kyc_remark": "<string>",
"kyc_status": "<string>",
"remark": "<string>"
},
"client_ref": "<string>",
"euin": {
"declaration": true,
"euin": "<string>"
},
"fatca": {
"birth_country": "<string>",
"birth_place": "<string>",
"income_slab": "<string>",
"occupation_type": "<string>",
"pep": "<string>",
"source_of_wealth": "<string>",
"tax_residency": "<string>",
"tin": "<string>"
},
"foreign_address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"line2": "<string>",
"line3": "<string>"
},
"guardian": {
"dob": "<string>",
"name": "<string>",
"pan": "<string>",
"relation": "<string>"
},
"joint_holders": [
{
"dob": "<string>",
"kyc_type": "<string>",
"name": "<string>",
"pan": "<string>",
"email": "<string>",
"gender": "<string>",
"mobile": "<string>",
"occupation": "<string>",
"relationship": "<string>"
}
],
"kyc_checked_at": "<string>",
"kyc_status": "<string>",
"nominees": [
{
"name": "<string>",
"percentage": 123,
"relationship": "<string>",
"dob": "<string>",
"guardian": {
"dob": "<string>",
"name": "<string>",
"pan": "<string>",
"relation": "<string>"
},
"pan": "<string>"
}
],
"provider": "<string>",
"provider_steps": [
{
"at": "<string>",
"status": "<string>",
"step": "<string>",
"remark": "<string>"
}
],
"providers": [
{
"type": "<string>",
"client_code": "<string>",
"status": "<string>"
}
],
"public_links": [
{
"link_id": "<string>",
"url": "<string>"
}
],
"simulation_links": {
"accept": "<string>",
"reject": "<string>"
},
"sub_broker_code": "<string>",
"submit": true
}
}investors
Client master snapshot
GET
/
api
/
investors
/
v1
/
:id
/
master
Client master snapshot
curl --request GET \
--url https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.mf-atlas.space/api/investors/v1/:id/master")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"line2": "<string>",
"line3": "<string>"
},
"contact": {
"email": "<string>",
"email_relation": "<string>",
"mobile": "<string>",
"mobile_relation": "<string>"
},
"created_at": "<string>",
"demat": {
"mode": "<string>",
"client_id": "<string>",
"dp_id": "<string>"
},
"holding_type": "<string>",
"id": "<string>",
"primary_holder": {
"dob": "<string>",
"kyc_type": "<string>",
"name": "<string>",
"pan": "<string>",
"email": "<string>",
"gender": "<string>",
"mobile": "<string>",
"occupation": "<string>",
"relationship": "<string>"
},
"status": "<string>",
"tax_status": "<string>",
"updated_at": "<string>",
"auth_link": "<string>",
"bank_accounts": [
{
"account_no": "<string>",
"account_type": "<string>",
"ifsc": "<string>",
"is_default": true,
"id": "<string>",
"micr": "<string>",
"status": "<string>",
"status_remark": "<string>"
}
],
"client_authorization": {
"aof_exists": true,
"authorized": true,
"checked_at": "<string>",
"email_sent": true,
"fatca_exists": true,
"status": "<string>",
"aof_remark": "<string>",
"authorized_at": "<string>",
"fatca_remark": "<string>",
"kyc_remark": "<string>",
"kyc_status": "<string>",
"remark": "<string>"
},
"client_ref": "<string>",
"euin": {
"declaration": true,
"euin": "<string>"
},
"fatca": {
"birth_country": "<string>",
"birth_place": "<string>",
"income_slab": "<string>",
"occupation_type": "<string>",
"pep": "<string>",
"source_of_wealth": "<string>",
"tax_residency": "<string>",
"tin": "<string>"
},
"foreign_address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"line2": "<string>",
"line3": "<string>"
},
"guardian": {
"dob": "<string>",
"name": "<string>",
"pan": "<string>",
"relation": "<string>"
},
"joint_holders": [
{
"dob": "<string>",
"kyc_type": "<string>",
"name": "<string>",
"pan": "<string>",
"email": "<string>",
"gender": "<string>",
"mobile": "<string>",
"occupation": "<string>",
"relationship": "<string>"
}
],
"kyc_checked_at": "<string>",
"kyc_status": "<string>",
"nominees": [
{
"name": "<string>",
"percentage": 123,
"relationship": "<string>",
"dob": "<string>",
"guardian": {
"dob": "<string>",
"name": "<string>",
"pan": "<string>",
"relation": "<string>"
},
"pan": "<string>"
}
],
"provider": "<string>",
"provider_steps": [
{
"at": "<string>",
"status": "<string>",
"step": "<string>",
"remark": "<string>"
}
],
"providers": [
{
"type": "<string>",
"client_code": "<string>",
"status": "<string>"
}
],
"public_links": [
{
"link_id": "<string>",
"url": "<string>"
}
],
"simulation_links": {
"accept": "<string>",
"reject": "<string>"
},
"sub_broker_code": "<string>",
"submit": true
}
}